# Get Reservation List by Contact ID

This API operation retrieves all active reservations for the specified contact within the given locker bank. Use this API to view all locker units currently reserved for a particular recipient or department.

Endpoint: GET /api/v1/lockerBanks/{lockerBankId}/lockers/reserved/contact/{contactId}
Version: 1.0.0
Security: basicAuth

## Path parameters:

  - `lockerBankId` (string, required)
    The unique identifier of the locker bank from which reservation details must be retrieved.

  - `contactId` (string, required)
    The identifier of the contact (recipient or department) whose reservation details are requested.

## Response 200 fields (application/json):

  - `reservedUnits` (array)
    The list of reserved locker units for the contact.

  - `reservedUnits.lockerBankId` (string)
    The unique identifier for the locker bank.
    Example: AOne

  - `reservedUnits.lockerUnitId` (string)
    The unique identifier of the reserved locker unit.
    Example: 2

  - `reservedUnits.size` (string)
    The size of the reserved locker unit.
    Example: small

  - `reservedUnits.accessible` (boolean)
    Indicates whether the reserved locker unit is accessible for individuals with disabilities.
    Example: true

  - `reservedUnits.unitInService` (boolean)
    Indicates whether the reserved locker unit is currently operational.
    Example: true

  - `reservedUnits.unitReserved` (boolean)
    Indicates whether the locker unit is currently reserved for a parcel.
    Example: true

  - `reservedUnits.unitOccupied` (boolean)
    Indicates whether one or more parcels have been deposited in the locker unit.
    Example: true

  - `reservedUnits.parcelsReserved` (array)
    The parcels that have been reserved for this locker unit but are not yet deposited.

  - `reservedUnits.parcelsReserved.trackingNumber` (string)
    The primary identifier of a package, usually a carrier's tracking number.
    Example: 26112025_6

  - `reservedUnits.parcelsReserved.secondaryTrackingNumber` (string)
    A secondary identifier for a package, can be generated internally.
    Example: TRACK-1234

  - `reservedUnits.parcelsDeposited` (array)
    The parcels that have already been deposited in the locker unit and are awaiting pickup

  - `reservedUnits.contactId` (string)
    The identifier of the contact (recipient or department) associated with the reservation.
    Example: 684a6b7bbc85e1bce739xxxx

  - `reservedUnits.contactType` (string)
    This is an enumerated value that tells you where the contact code is coming from
    Enum: "recipient", "department"

  - `reservedUnits.contactName` (string)
    The name of the contact associated with the reservation.
    Example: User Name

  - `reservedUnits.reservationTime` (string)
    The timestamp indicating when the reservation was created.
    Example: 2025-11-12T16:13:06Z

  - `reservedUnits.reservationExpiryTime` (string)
    The timestamp when the reservation for the locker unit is scheduled to expire. Once reservation is expired, the locker unit becomes available for new reservations.
    Example: 2025-12-19T09:59:00Z

  - `reservedUnits.transactionType` (string)
    This indicates the nature of the transaction, such as whether it was a delivery or a return.
    Example: deliver

  - `reservedUnits.depositorContactId` (string)
    The identifier of the person or contact in the address book who will deposit the returned package or asset into the locker.
    Example: 684a6b7bbc85e1bxxxxxxxxx

  - `reservedUnits.depositorContactType` (string)
    This is an enumerated value that tells you where the contact code is coming from.
    Enum: "recipient", "department"

  - `reservedUnits.depositTime` (string)
    The timestamp when the parcel was deposited into the locker unit, returns only if the unit is occupied.
    Example: 2025-11-17T14:28:37Z

  - `reservedUnits.depositExpiryTime` (string)
    The timestamp when the deposited parcel is scheduled to expire.
    Example: 2025-11-30T14:28:37Z

## Response 401 fields (application/json):

  - `message` (string, required)
    This is HTTP 401 Unauthorized response status code, which indicates that the client request has not been completed because it lacks valid authentication credentials for the requested resource.
    Example: The request could not be completed.

## Response 404 fields (application/json):

  - `errorCode` (string)
    Error code(s) that appear due HTTP 404 Page or File not found.
    Example: not_found

  - `errorDescription` (string)
    HTTP 404 Not Found response status code indicates that the server cannot find the requested resource.
    Example: resource not found

  - `additionalCode` (string)
    A unique identifier for the error, for example 0100025, 1110017, or 1090001.
    Example: 0100025

  - `additionalInfo` (string)
    The additional information about the error. This error 'Not Found' might appear due to `Shipment Not Found`, `No Shipments to close`, or `Original Transaction not found`.
    Example: Resource not found

  - `additionalParameters` (array)

## Response 500 fields (application/json):

  - `message` (string, required)
    This is HTTP 500 Internal Server Error response status code, which indicates that the server encountered an unexpected condition that prevented it from fulfilling the request.
    Example: The request could not be completed.

